Newark ECIA (NEDA) Member • Authorized Distributor
| Part # | Manufacturer | Description | Stock | Price | Buy | |
|---|---|---|---|---|---|---|
|
VFC-153
DISTI #
13AM1107
|
Dwyer Instruments Inc | Liquid Flowmeter, 75Lpm, 100Psi, 1" Fnpt, |Dwyer VFC-153 RoHS: Compliant Min Qty: 1 Package Multiple: 1 Date Code: 0 Container: Bulk VFC-153 Part Details | 0 |
|
Can$281.1000 | Buy Now VFC-153 Part Details |
|
VFC-153
DISTI #
82AK8754
|
Dwyer Instruments Inc | Liquid Flowmeter, 75Lpm, 100Psi, 1" Fnpt, Flow Rate Min:10L/Min, Flow Rate Max:75L/Min, Supply Voltage Min:-, Supply Voltage Max:-, Product Range:Visi-Float Vfc Series, Accuracy:2%, Port Size:1", Pressure Max:100Psi Rohs Compliant: Yes |Dwyer VFC-153 RoHS: Compliant Min Qty: 1 Package Multiple: 1 Date Code: 0 Container: Bulk VFC-153 Part Details | 0 |
|
Can$205.1500 | Buy Now VFC-153 Part Details |
|
VFC-153-EC
DISTI #
13AM1108
|
Dwyer Instruments Inc | Liquid Flowmeter, 75Lpm, 100Psi, 1" Fnpt, |Dwyer VFC-153-EC RoHS: Compliant Min Qty: 1 Package Multiple: 1 Date Code: 0 Container: Bulk VFC-153-EC Part Details | 0 |
|
Can$303.4900 | Buy Now VFC-153-EC Part Details |
|
VFC-153-EC
DISTI #
82AK8755
|
Dwyer Instruments Inc | Liquid Flowmeter, 75Lpm, 100Psi, 1" Fnpt, Flow Rate Min:10L/Min, Flow Rate Max:75L/Min, Supply Voltage Min:-, Supply Voltage Max:-, Product Range:Visi-Float Vfc Series, Accuracy:2%, Port Size:1", Pressure Max:100Psi Rohs Compliant: Yes |Dwyer VFC-153-EC RoHS: Compliant Min Qty: 1 Package Multiple: 1 Date Code: 0 Container: Bulk VFC-153-EC Part Details | 0 |
|
Can$221.5000 | Buy Now VFC-153-EC Part Details |
Mouser Electronics ECIA (NEDA) Member Authorized Distributor
| Part # | Manufacturer | Description | Stock | Price | Buy | |
|---|---|---|---|---|---|---|
|
FC1539-B-6-A
DISTI #
728-FC1539-B-6-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 5/8 FC1539-B-6-A Part Details | 0 |
|
$0.2160 / $0.5000 | Order Now FC1539-B-6-A Part Details |
|
FC1533-B-6-A
DISTI #
728-FC1533-B-6-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 1/4 FC1533-B-6-A Part Details | 0 |
|
$0.1830 / $0.4200 | Order Now FC1533-B-6-A Part Details |
|
FC1532-B-4-A
DISTI #
728-FC1532-B-4-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 3/16 FC1532-B-4-A Part Details | 0 |
|
$0.1600 / $0.3900 | Order Now FC1532-B-4-A Part Details |
|
FC1533-B-6-B-12
DISTI #
728-FC1533-B-6-B-12
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 1/4 FC1533-B-6-B-12 Part Details | 0 |
|
$0.3160 / $0.7400 | Order Now FC1533-B-6-B-12 Part Details |
|
FC1531-B-4-A
DISTI #
728-FC1531-B-4-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 1/8 FC1531-B-4-A Part Details | 0 |
|
$0.1480 / $0.3500 | Order Now FC1531-B-4-A Part Details |
|
FC1531-B-6-A
DISTI #
728-FC1531-B-6-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 1/8 FC1531-B-6-A Part Details | 0 |
|
$0.1600 / $0.3900 | Order Now FC1531-B-6-A Part Details |
|
FC1531-C-4-A
DISTI #
728-FC1531-C-4-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 1/8 FC1531-C-4-A Part Details | 0 |
|
$0.1650 / $0.3900 | Order Now FC1531-C-4-A Part Details |
|
FC1532-B-6-A
DISTI #
728-FC1532-B-6-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 3/16 FC1532-B-6-A Part Details | 0 |
|
$0.1700 / $0.3900 | Order Now FC1532-B-6-A Part Details |
|
FC1531-C-6-A
DISTI #
728-FC1531-C-6-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 1/8 FC1531-C-6-A Part Details | 0 |
|
$0.1830 / $0.4200 | Order Now FC1531-C-6-A Part Details |
|
FC1532-C-6-A
DISTI #
728-FC1532-C-6-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 3/16 FC1532-C-6-A Part Details | 0 |
|
$0.1830 / $0.4200 | Order Now FC1532-C-6-A Part Details |
|
FC1533-A-4-A
DISTI #
728-FC1533-A-4-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 1/4 FC1533-A-4-A Part Details | 0 |
|
$0.1830 / $0.4200 | Order Now FC1533-A-4-A Part Details |
|
FC1533-B-2-A
DISTI #
728-FC1533-B-2-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 1/4 FC1533-B-2-A Part Details | 0 |
|
$0.1830 / $0.4200 | Order Now FC1533-B-2-A Part Details |
|
FC1533-C-6-A
DISTI #
728-FC1533-C-6-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 1/4 FC1533-C-6-A Part Details | 0 |
|
$0.1830 / $0.4200 | Order Now FC1533-C-6-A Part Details |
|
FC1534-B-6-A
DISTI #
728-FC1534-B-6-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 5/16 FC1534-B-6-A Part Details | 0 |
|
$0.1820 / $0.4200 | Order Now FC1534-B-6-A Part Details |
|
FC1535-B-4-A
DISTI #
728-FC1535-B-4-A
|
Fascomp electronic hardware | Standoffs & Spacers 1/4 OD X 3/8 FC1535-B-4-A Part Details | 0 |
|
$0.1990 / $0.4600 | Order Now FC1535-B-4-A Part Details |
RS (Formerly Allied Electronics & Automation)
| Part # | Manufacturer | Description | Stock | Price | Buy | |
|---|---|---|---|---|---|---|
|
RFC-1533
DISTI #
70121249
|
Quest Technology International Inc | CABLE ASSEMBLY, SMA PLUG X2, RG-58C/U CBL, 36", NON BOOTED Min Qty: 1 Package Multiple: 1 Lead time: 3 Weeks, 0 Days Container: Bulk RFC-1533 Part Details | 1 |
|
$6.1500 | Buy Now RFC-1533 Part Details |
|
VFC-153
DISTI #
70408840
|
Dwyer Instruments Inc | FLOWMETER, MODEL VFC, 10-75 LPM WATER, 1-IN FNPT, BACK CONN., +/-2% ACC., PLASTIC BODY Min Qty: 1 Package Multiple: 1 Container: Bulk VFC-153 Part Details | 0 |
|
$209.2500 | RFQ VFC-153 Part Details |
|
RFC-1534
DISTI #
75627192
|
Quest Technology International Inc | CABLE ASSEMBLY, SMA PLUG X2, RG-58C/U CBL, 5FT., NON BOOTED Min Qty: 1 Package Multiple: 1 Lead time: 5 Weeks, 0 Days Container: Bulk RFC-1534 Part Details | 0 |
|
$16.4700 / $18.3000 | RFQ RFC-1534 Part Details |
|
RFC-1532
DISTI #
70121248
|
Quest Technology International Inc | CABLE ASSEMBLY, SMA PLUG X2, RG-58C/U CBL, 24", NON BOOTED Min Qty: 1 Package Multiple: 1 Container: Bulk RFC-1532 Part Details | 0 |
|
$14.6900 / $16.3200 | RFQ RFC-1532 Part Details |
|
RFC-1531
DISTI #
70121247
|
Quest Technology International Inc | CABLE ASSEMBLY, SMA PLUG X2, RG-58C/U CBL, 12", NON BOOTED Min Qty: 1 Package Multiple: 1 Container: Bulk RFC-1531 Part Details | 0 |
|
$14.0900 / $15.6500 | RFQ RFC-1531 Part Details |
|
RFC-1535
DISTI #
70121251
|
Quest Technology International Inc | CABLE ASSEMBLY, SMA PLUG X2, RG-58C/U CBL, 7FT., NON BOOTED Min Qty: 1 Package Multiple: 1 Container: Bulk RFC-1535 Part Details | 0 |
|
$17.6800 / $19.6400 | RFQ RFC-1535 Part Details |
|
RFC-1536
DISTI #
75627025
|
Quest Technology International Inc | CABLE ASSEMBLY, SMA PLUG X2, RG-58C/U CBL, 10FT., NON BOOTED Min Qty: 1 Package Multiple: 1 Lead time: 5 Weeks, 0 Days Container: Bulk RFC-1536 Part Details | 0 |
|
$19.4600 / $21.6200 | RFQ RFC-1536 Part Details |
|
VFC-153-EC
DISTI #
70408841
|
Dwyer Instruments Inc | FLOWMETER, MODEL VFC, 10-75 LPM WATER, 1IN FNPT, BACK CONN., +/-2% ACC., END CONNECTOR Min Qty: 1 Package Multiple: 1 Container: Bulk VFC-153-EC Part Details | 0 |
|
$225.9300 | RFQ VFC-153-EC Part Details |
|
BFC2370FC153
DISTI #
71333650
|
Vishay BCcomponents | CAPACITOR, FILM, MKT15NF5%400VDCPITCH 5MM Min Qty: 2000 Package Multiple: 1 Container: Bulk BFC2370FC153 Part Details | 0 |
|
$0.2090 / $0.2300 | RFQ BFC2370FC153 Part Details |
Onlinecomponents.com ECIA (NEDA) Member Authorized Distributor
| Part # | Manufacturer | Description | Stock | Price | Buy | |
|---|---|---|---|---|---|---|
| Tempo Communications Inc | AD, FIBER, SC-SC (SM-SX) RoHS: Compliant FC-15316 Part Details | 0 |
|
$25.6100 / $33.6200 | Buy Now FC-15316 Part Details |
Bisco Industries Authorized Distributor
| Part # | Manufacturer | Description | Stock | Price | Buy | |
|---|---|---|---|---|---|---|
| Fascomp electronic hardware | FC1533-B-6-A Part Details | 34913 | Buy Now FC1533-B-6-A Part Details | |||
| Fascomp electronic hardware | FC1532-A-6-B-0 Part Details | 507 | Buy Now FC1532-A-6-B-0 Part Details | |||
| Fascomp electronic hardware | FC1537-B-6-A Part Details | 500 | Buy Now FC1537-B-6-A Part Details | |||
| Fascomp electronic hardware | FC1531-B-6-A-0 Part Details | 65 | Buy Now FC1531-B-6-A-0 Part Details |
Bristol Electronics
| Part # | Manufacturer | Description | Stock | Price | Buy | |
|---|---|---|---|---|---|---|
| El-Menco | Min Qty: 1 DM30FC153KO3 Part Details | 8 |
|
$23.0400 / $24.0000 | Buy Now DM30FC153KO3 Part Details | |
| El-Menco | Min Qty: 1 DM30FC153GO3 Part Details | 1 |
|
$24.0000 | Buy Now DM30FC153GO3 Part Details |
TME ECIA Member Authorized Distributor
| Part # | Manufacturer | Description | Stock | Price | Buy | |
|---|---|---|---|---|---|---|
|
HSMF-C153
DISTI #
HSMF-C153
|
Broadcom Limited | LED, yellow/red, SMD, 1210, 2.1÷2.6/2.1÷2.6VDC, 3.2x2.7x1.1mm Min Qty: 2 HSMF-C153 Part Details | 2972 |
|
$0.1540 / $0.4350 | Buy Now HSMF-C153 Part Details |
Richardson RFPD Authorized Distributor
| Part # | Manufacturer | Description | Stock | Price | Buy | |
|---|---|---|---|---|---|---|
|
530FC153M600DG
DISTI #
530FC153M600DG
|
Skyworks Solutions Inc | Oscillator XO 153.6MHz ±20ppm LVDS 55% 2.5V 6-Pin RoHS: Compliant Min Qty: 50 530FC153M600DG Part Details | 0 |
|
$16.6500 | Buy Now 530FC153M600DG Part Details |
|
530FC153M600DGR
DISTI #
530FC153M600DGR
|
Skyworks Solutions Inc | Oscillator XO 153.6MHz ±20ppm LVDS 55% 2.5V 6-Pin RoHS: Compliant Min Qty: 1000 530FC153M600DGR Part Details | 0 |
|
$16.6500 | Buy Now 530FC153M600DGR Part Details |